Subject: Re: linux-next: manual merge of the staging tree with the v4l-dvb tree

From: Greg KH <[email-masked]>
Date: Mon, 17 Mar 2014 11:29:53 -0700

On Mon, Mar 17, 2014 at 08:01:22AM -0300, Mauro Carvalho Chehab wrote:
> Em Mon, 17 Mar 2014 18:55:42 +1100
> Stephen Rothwell <[email-masked]> escreveu:
> 
> > Hi Greg,
> > 
> > Today's linux-next merge of the staging tree got a conflict in
> > drivers/media/platform/exynos4-is/fimc-is.c between commit d265d9ac6c7c
> > ("[media] exynos4-is: Use external s5k6a3 sensor driver") from the
> > v4l-dvb tree and commit fd9fdb78a9bf ("[media] of: move graph helpers
> > from drivers/media/v4l2-core to drivers/of") from the staging tree.
> > I fixed it up (see below, though I suspect it is wasted?) and can carry
> > the fix as necessary (no action is required).
> 
> I used to have those OF patches on my tree, but I was forced to remove,
> as Grant rejected the patches. After his nack, lots of dicussions about
> the DT bindings started and, until last week, there were no consensus
> about that (as far as I followed the discussions).
> 
> So, reluctantly, I just dropped this series from my tree, pretending
> it never existed, as reverting them could cause troubles if it 
> (or some version of it) got merged via Greg, Grant and/or Russell
> trees.
> 
> On my head, it become too late to merge it for 3.15, as first
> people must agree on the DT bindings. Also, I already closed the
> media merge window, as -rc7 seems to be the last -rc.
> 
> One possible approach for this would be to merge the patches that move
> the OF graph code away from drivers/media, and the corresponding
> internal ABI changes early at -rc, and applying the DT binding
> patches, and the staging imx-drm driver for 3.16.

I don't understand, was I supposed to do something in my staging-next
tree for this as well?

totally confused,

greg k-h